Subject: Re: linux-next: Tree for July 18: warning at kernel/lockdep.c:2068 trace_hardirqs_on_caller

From: Bernhard Walle <[email-masked]>
Date: Sun, 20 Jul 2008 14:51:32 +0200

* Greg KH <[email-masked]> [2008-07-19 16:20]:
> 
> > Maybe the firmware memmap code can simply run a little later in the
> > boot sequence?
> 
> Possibly.  I wonder why this is only a problem on your machine and not
> on anything that Ingo tested?

It also was on my machine when I tested it on linux-next. That's why I
made the patch as described in 

http://article.gmane.org/gmane.linux.kernel.kexec/1882.

However, it was not in tip tree. It seems to be the combination of
patches, but I don't know why and I didn't have the time to find it
out, the fix was much easier.

Bernhard
-- 
Bernhard Walle, SUSE LINUX Products GmbH, Architecture Development